=== Telegram/ThirdParty/nimf/debian/changelog ===
nimf (2019.08.14-0~201908141206~hamonikr14.1) me; urgency=low

  * Rebuild for HamoniKR.

 -- HamoniKR <pkg@hamonikr.org>  Thu, 24 Oct 2019 11:46:02 +0900

nimf (2019.08.14-0~201908141206~ubuntu18.04.1) bionic; urgency=low

  * Auto build.

 -- Hodong Kim <cogniti@gmail.com>  Wed, 14 Aug 2019 12:20:57 +0000

nimf (2019.08.14) stable; urgency=medium

  * Updated README
  * Fixed requirements
  * Use gtk-doc >= 1.26 to avoid automake warnings

 -- Hodong Kim <cogniti@gmail.com>  Wed, 14 Aug 2019 19:55:40 +0900

nimf (2019.08.05) stable; urgency=medium

  * Replaced specs/* with nimf.spec
  * IMdkit: Code cleanup (#106)
  * Imported some code from the RHEL code review

 -- Hodong Kim <cogniti@gmail.com>  Mon, 05 Aug 2019 22:19:55 +0900

nimf (2019.07.27) stable; urgency=medium

  * Fixed backward compatibility for OpenSUSE Leap
  * Fixed freezing (#152)

 -- Hodong Kim <cogniti@gmail.com>  Sat, 27 Jul 2019 18:50:02 +0900

nimf (2019.07.26) stable; urgency=medium

  * Fixed a potential bug (#152)

 -- Hodong Kim <cogniti@gmail.com>  Fri, 26 Jul 2019 23:06:01 +0900

nimf (2019.07.24) stable; urgency=medium

  * Added NIMF_KEY_Kanji, NIMF_KEY_Kana_Shift (#283)
  * nimf-anthy: Fixed the candidate window

 -- Hodong Kim <cogniti@gmail.com>  Wed, 24 Jul 2019 16:07:20 +0900

nimf (2019.07.21) stable; urgency=medium

  * nimf-settings: Fixd segmentation fault (#277 #280 #282)
  * IMdkit: Code cleanup (#106)
  * Updated installation documentation (#270 #281)

 -- Hodong Kim <cogniti@gmail.com>  Sun, 21 Jul 2019 23:30:08 +0900

nimf (2019.07.16) stable; urgency=medium

  * nimf-anthy: Code cleanup
  * nimf-anthy: Fixed space
  * IMdkit: Code cleanup (#106)

 -- Hodong Kim <cogniti@gmail.com>  Tue, 16 Jul 2019 12:25:08 +0900

nimf (2019.07.10) stable; urgency=medium

  * Check schema and key for GNOME (#277)
  * IMdkit: Code cleanup (#106)

 -- Hodong Kim <cogniti@gmail.com>  Wed, 10 Jul 2019 23:09:46 +0900

nimf (2019.07.08) stable; urgency=medium

  * Added --disable-nimf-m17n option (#270)
  * IMdkit: Code cleanup (#106)

 -- Hodong Kim <cogniti@gmail.com>  Mon, 08 Jul 2019 23:28:52 +0900

nimf (2019.07.03) stable; urgency=medium

  * Improved nimf-settings
  * Added an option: Setup environment variables (#87)

 -- Hodong Kim <cogniti@gmail.com>  Wed, 03 Jul 2019 19:05:33 +0900

nimf (2019.06.23) stable; urgency=medium

  * Fixed backward compatibility for m17n-db (#273)

 -- Hodong Kim <cogniti@gmail.com>  Sun, 23 Jun 2019 21:42:16 +0900

nimf (2019.06.22) stable; urgency=medium

  * Fixed preedit window location
  * Fixed nimf-xim not starting in the Xwayland environment (#272)

 -- Hodong Kim <cogniti@gmail.com>  Sat, 22 Jun 2019 19:10:34 +0900

nimf (2019.06.21) stable; urgency=medium

  * Redesigned shortcuts (closes #272)
  * im-nimf-qt5: Fixed lt major version

 -- Hodong Kim <cogniti@gmail.com>  Fri, 21 Jun 2019 10:05:24 +0900

nimf (2019.06.07) stable; urgency=medium

  * Updated some docs
  * Added signals: "engine-loaded", "engine-unloaded"
  * Code cleanup
  * Check if GNOME is running
  * Added missing org.nimf.settings.gschema.xml

 -- Hodong Kim <cogniti@gmail.com>  Fri, 07 Jun 2019 06:57:33 +0900

nimf (2019.06.06) stable; urgency=medium

  * Fixed how to apply xkb options (#269)
  * Fixed #267
  * nimf-rime: Fixed preedit state

 -- Hodong Kim <cogniti@gmail.com>  Thu, 06 Jun 2019 00:02:01 +0900

nimf (2019.06.05) stable; urgency=medium

  * nimf-rime: Fixed preedit state
  * Fixed how to apply xkb options (closes #269)

 -- Hodong Kim <cogniti@gmail.com>  Wed, 05 Jun 2019 10:49:15 +0900

nimf (2019.06.03) stable; urgency=medium

  * Updated translations
  * Load module dynamically

 -- Hodong Kim <cogniti@gmail.com>  Mon, 03 Jun 2019 01:46:30 +0900

nimf (2019.05.29) stable; urgency=medium

  * nimf-anthy: Fixed a potential bug
  * nimf-settings: Changed the XKB Options UI position

 -- Hodong Kim <cogniti@gmail.com>  Wed, 29 May 2019 08:47:12 +0900

nimf (2019.05.17) stable; urgency=medium

  * Added dependencies on m17n (>= 1.8.0)
  * Removed nimf-m17n-en

 -- Hodong Kim <cogniti@gmail.com>  Fri, 17 May 2019 23:46:58 +0900

nimf (2019.05.15) stable; urgency=medium

  * Redesign nimf-m17n
  * nimf-settings: Fixed potential bugs
  * "Renamed "active" to "active-engine"
  * Fixed possible faults

 -- Hodong Kim <cogniti@gmail.com>  Wed, 15 May 2019 00:59:16 +0900

nimf (2019.05.10) stable; urgency=medium

  * Fixed possible faults

 -- Hodong Kim <cogniti@gmail.com>  Fri, 10 May 2019 18:27:45 +0900

nimf (2019.05.09) stable; urgency=medium

  * nimf-indicator: Fixed possible faults
  * nimf-settings: Sort by language
  * nimf-server: Sort by language

 -- Hodong Kim <cogniti@gmail.com>  Thu, 09 May 2019 20:34:37 +0900

nimf (2019.05.08) stable; urgency=medium

  * nimf-settings: Fixed invalid type
  * nimf-settings: Sort by language

 -- Hodong Kim <cogniti@gmail.com>  Wed, 08 May 2019 21:05:24 +0900

nimf (2019.04.21) stable; urgency=medium

  * Fixed debian/control

 -- Hodong Kim <cogniti@gmail.com>  Sun, 21 Apr 2019 00:34:57 +0900

nimf (2019.04.20) stable; urgency=medium

  * Updated descriptions
  * Fixed reference address

 -- Hodong Kim <cogniti@gmail.com>  Sat, 20 Apr 2019 14:25:27 +0900

nimf (2019.03.31) stable; urgency=medium

  * Fixed website address
  * Fixed the duplicate about dialog

 -- Hodong Kim <cogniti@gmail.com>  Sun, 31 Mar 2019 01:46:52 +0900

nimf (2019.03.27) stable; urgency=medium

  * Added nimf reference manual (closes #266)

 -- Hodong Kim <cogniti@gmail.com>  Wed, 27 Mar 2019 00:34:01 +0900

nimf (2019.03.17) stable; urgency=medium

  * Fixed how to display the preeditable

 -- Hodong Kim <cogniti@gmail.com>  Sun, 17 Mar 2019 05:15:55 +0900

nimf (2019.03.15) stable; urgency=medium

  * nimf-xim: Fixed input styles (closes #150)
  * nimf-xim: Fixed a segmentation fault

 -- Hodong Kim <cogniti@gmail.com>  Fri, 15 Mar 2019 22:46:05 +0900

nimf (2019.02.25) stable; urgency=medium

  * Delay the launch of the nimf-indicator until the watcher is ready

